Bug 137199 - FILESAVE: DOCX to ODT Static text in numbered list is lost
Summary: FILESAVE: DOCX to ODT Static text in numbered list is lost
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.0.0.0.beta1+
Hardware: All All
: medium normal
Assignee: Vasily Melenchuk (CIB)
URL:
Whiteboard: target:7.2.0 target:7.1.5
Keywords: bibisected, bisected, regression
Depends on:
Blocks: DOCX-Bullet-Number-Outline-Lists
  Show dependency treegraph
 
Reported: 2020-10-02 05:32 UTC by Michelle
Modified: 2021-05-31 08:01 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
File which causes the bug (15.04 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2020-10-02 05:32 UTC, Michelle
Details
Comparison of resulting files in LO7.0.1.2 (212.07 KB, image/png)
2020-10-02 05:33 UTC, Michelle
Details
Comparison of resulting files in LO6.4.4.2 (97.59 KB, image/png)
2020-10-02 05:33 UTC, Michelle
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Michelle 2020-10-02 05:32:12 UTC
Description:
Docx files created in MS word (2019) which are saved as odt in LibreOffice lose the static text at the end of numbered lists. Eg a numbered list item that starts with "1." becomes "1" after conversion. This occurs for both directly formatted text and also styles with numbered lists.

This issue is replicable in 7.0.1.2 and 6.4.5.2, but not 6.4.4.2.

Steps to Reproduce:
1. Create new Docx in MS Word
2. Apply a numbered list which ends with static text, eg 1. or a)
3. Open in Writer, save as odt, close the file
4. Open the odt in Writer.

Actual Results:
Static text in numbered list is stripped.

Expected Results:
Static text should not be stripped.


Reproducible: Always


User Profile Reset: Yes



Additional Info:
Testing in these versions recreates error:

Version: 7.0.1.2 (x64)
Build ID: 7cbcfc562f6eb6708b5ff7d7397325de9e764452
CPU threads: 16; OS: Windows 10.0 Build 18363; UI render: Skia/Vulkan; VCL: win
Locale: en-AU (en_AU); UI: en-US
Calc: CL

Version: 6.4.5.2 (x64)
Build ID: a726b36747cf2001e06b58ad5db1aa3a9a1872d6
CPU threads: 16; OS: Windows 10.0 Build 18363; UI render: GL; VCL: win; 
Locale: en-AU (en_AU); UI-Language: en-US
Calc: CL



Testing in these versions does not recreate error:

Version: 6.4.4.2 (x64)
Build ID: 3d775be2011f3886db32dfd395a6a6d1ca2630ff
CPU threads: 16; OS: Windows 10.0 Build 18363; UI render: GL; VCL: win; 
Locale: en-AU (en_AU); UI-Language: en-US
Calc: CL

Version: 6.2.8.2 (x64)
Build ID: f82ddfca21ebc1e222a662a32b25c0c9d20169ee
CPU threads: 16; OS: Windows 10.0; UI render: GL; VCL: win; 
Locale: en-AU (en_AU); UI-Language: en-US
Calc: CL
Comment 1 Michelle 2020-10-02 05:32:49 UTC
Created attachment 166013 [details]
File which causes the bug
Comment 2 Michelle 2020-10-02 05:33:16 UTC
Created attachment 166014 [details]
Comparison of resulting files in LO7.0.1.2
Comment 3 Michelle 2020-10-02 05:33:42 UTC
Created attachment 166015 [details]
Comparison of resulting files in LO6.4.4.2
Comment 4 Timur 2020-10-02 14:33:59 UTC Comment hidden (obsolete)
Comment 5 Timur 2020-10-02 14:45:52 UTC
Repro 7.1+
Bibisect 7.0: there were changes: a) -> a. -> a 

a) -> a.
commit 290aa630be3962fa06811ad5a4c5532122e33573
Date:   Mon Apr 27 22:42:10 2020 +0200
    source sha:7459b9ecb54a298f02d19089620149718f8d8d48
    previous source sha:4ba179eb9208185406207522e39626327c7d74c3

commit	7459b9ecb54a298f02d19089620149718f8d8d48	[log]
author	Vasily Melenchuk <vasily.melenchuk@cib.de>	Mon Apr 13 11:06:29 2020 +0300
committer	Thorsten Behrens <Thorsten.Behrens@CIB.de>	Mon Apr 27 22:36:12 2020 +0200
tree	8e26f751e26b4e4f7ca53d36d6c94603d096650c
parent	4ba179eb9208185406207522e39626327c7d74c3 [diff]

tdf#116883: sw: support for lists level format string

CC: Vasily, please take a look.
Comment 6 Timur 2020-10-02 14:53:35 UTC
a. -> a 
commit 7dbcd3803dc1a2ab77f6569e291a142007ffab22
Date:   Fri Jun 5 01:23:36 2020 +0200
    source sha:36c713f673796f51b9bc657492b0c16396231805
    previous source sha:69eb1bb950d09c8edfc78f980c21645c88ac408e

commit	36c713f673796f51b9bc657492b0c16396231805	[log]
author	Vasily Melenchuk <vasily.melenchuk@cib.de>	Sun May 17 13:35:46 2020 +0300
committer	Thorsten Behrens <Thorsten.Behrens@CIB.de>	Fri Jun 05 01:13:05 2020 +0200
tree	5397293a7632da3f2940f61cb63689e7b104d635
parent	69eb1bb950d09c8edfc78f980c21645c88ac408e [diff]

tdf#120394: DOCX list import: simplify zero width space hack
Comment 7 Commit Notification 2021-05-28 07:40:18 UTC
Vasily Melenchuk committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/726d0a2d54da3e97de242c2c10be3afd2aedf943

tdf#137199: sw: convert list format string to prefix/suffix for ODF

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2021-05-28 09:56:44 UTC
Vasily Melenchuk committed a patch related to this issue.
It has been pushed to "libreoffice-7-1":

https://git.libreoffice.org/core/commit/0e726bb7ec31f0300ac0e56528bb70b0780444cd

tdf#137199: sw: convert list format string to prefix/suffix for ODF

It will be available in 7.1.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Timur 2021-05-31 07:52:36 UTC
Looks good now with a), thanks Vasily .
Note that LO 6.4 would open a) as b) which was fixed in 7.0 with a).
Comment 10 Timur 2021-05-31 08:01:18 UTC
If DOCX attachment 166013 [details] is saved in MSO as DOC, LO also opens and saves fine to ODT and DOC.